#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ScatterFitOptions {
    #[builder(default, into)]
    #[serde(rename = "minX", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    min_x: Option<f64>,
    #[builder(default, into)]
    #[serde(rename = "maxX", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    max_x: Option<f64>,
    #[builder(default, into)]
    #[serde(rename = "minY", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    min_y: Option<f64>,
    #[builder(default, into)]
    #[serde(rename = "maxY", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    max_y: Option<f64>,
}
impl ScatterFitOptions {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn min_x(&self) -> Option<f64> {
        self.min_x.as_ref().map(|o| *o)
    }
    #[inline]
    pub fn max_x(&self) -> Option<f64> {
        self.max_x.as_ref().map(|o| *o)
    }
    #[inline]
    pub fn min_y(&self) -> Option<f64> {
        self.min_y.as_ref().map(|o| *o)
    }
    #[inline]
    pub fn max_y(&self) -> Option<f64> {
        self.max_y.as_ref().map(|o| *o)
    }
}
